Summary:	User-friendly text console file manager and visual shell
Name:		mc
Version: 	4.8.28
Release: 	4%{?dist}
License:	GPL-3.0-or-later
URL:		https://midnight-commander.org/
Source0:	https://github.com/MidnightCommander/mc//archive/%{version}/%{name}-%{version}.tar.gz#/%{version}.tar.gz

Patch0001:	https://github.com/MidnightCommander/mc/commit/34d3726b.patch#/%{name}-Ticket-4374-fix-file-sort-by-version.patch
Patch3000:	%{name}-spec.syntax.patch
Patch3001:	%{name}-python3.patch
Patch3002:	%{name}-default_setup.patch
Patch3003:	%{name}-tmpdir.patch
Patch3004:	%{name}-configure-c99.patch

BuildRequires:	autoconf automake gcc libtool make
BuildRequires:	pkgconfig pkgconfig(ext2fs) pkgconfig(glib-2.0) pkgconfig(gmodule-2.0) pkgconfig(slang)
BuildRequires:	gettext-devel gpm-devel groff-base perl-generators
Suggests:	mc-python

%description
Midnight Commander is a visual shell much like a file manager, only with
many more features. It is a text mode application, but it also includes
mouse support. Midnight Commander's best features are its ability to FTP,
view tar and zip files, and to poke into RPMs for specific files.

%package python
Summary:	Midnight Commander s3+ and UC1541 EXTFS backend scripts
Requires:	%{name} = %{version}-%{release}
Requires:	python3-boto
BuildArch:	noarch

%description python
Midnight Commander s3+ and UC1541 EXTFS backend scripts.

%prep
%autosetup -p1

%build
%__sed -i "s,PREV_MC_VERSION=\"unknown\",PREV_MC_VERSION=\"%{version}\"," version.sh
./autogen.sh
%configure \
	PYTHON=%__python3 \
	--disable-rpath \
	--disable-vfs-sftp \
	--disable-vfs-smb \
	--enable-charset \
	--enable-largefile \
	--enable-vfs-cpio \
	--enable-vfs-extfs \
	--enable-vfs-fish \
	--enable-vfs-ftp \
	--enable-vfs-sfs \
	--enable-vfs-tar \
	--with-gpm-mouse \
	--with-screen=slang \
	--with-x \
	%{nil}
%make_build

%install
%make_install
install contrib/mc.{sh,csh} -Dt %{buildroot}%{_sysconfdir}/profile.d


%find_lang %{name} --with-man

%files -f %{name}.lang
%license doc/COPYING
%doc doc/FAQ doc/NEWS doc/README
%{_datadir}/mc
%{_sysconfdir}/profile.d/*
%dir %{_sysconfdir}/mc
%{_sysconfdir}/mc/edit*
%config(noreplace) %{_sysconfdir}/mc/mc*
%config(noreplace) %{_sysconfdir}/mc/*.ini
%{_bindir}/*
%dir %{_libexecdir}/mc
%exclude %{_libexecdir}/mc/extfs.d/{s3+,uc1541}
%attr(755,root,root) %{_libexecdir}/mc/cons.saver
%{_libexecdir}/mc/mc*
%{_libexecdir}/mc/extfs.d
%{_libexecdir}/mc/ext.d
%{_libexecdir}/mc/fish
%{_mandir}/man1/*

%files python
%{_libexecdir}/mc/extfs.d/{s3+,uc1541}

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.28-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.28-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.28-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Miaojun Dong <zoedong@tencent.com> - 4.8.28-1
- initial build
